"""empty message

Revision ID: 7229d6f27dce
Revises: 4302499d9b3a
Create Date: 2020-12-04 13:58:22.970351

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '7229d6f27dce'
down_revision = '4302499d9b3a'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('token_credentials',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('access_token', sa.String(length=40), nullable=False),
    sa.Column('refresh_token', sa.String(length=40), nullable=False),
    sa.Column('access_token_expires_after', sa.DateTime(), nullable=False),
    sa.Column('refresh_token_expires_after', sa.DateTime(), nullable=False),
    sa.Column('created_at', sa.DateTime(), nullable=False),
    sa.Column('user_id', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['user_id'], ['users.id'], ),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('access_token'),
    sa.UniqueConstraint('refresh_token')
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('token_credentials')
    # ### end Alembic commands ###
